# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    dvslideshow
%define version 0.9
%define release 1.2007mcnl
%define summary DV Slideshow
%define section Multimedia/Video
%define title   DV Slideshow

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://kde-apps.org/content/show.php?content=23627
License:        GPL
Group:          Video

BuildArch:  	noarch

Source0:        DVSlideshowWizard%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander sox mplayer ImageMagick smilutils libkinoextensions


%description
DV Slideshow creates slideshows from user-provided photo's
and adds music from MP3 or OGG files when desired. Multiple
transition effects are supported, like fade in, fade out,
crossfade and zoom. The slideshows are stored in high qualty
Sony DV format.

DV Video files can be easily edited with applications like
Kino, stored on a digital DV camera, or converted to DVD format.

DV Slideshow supports transparent photo's which can be layered
on top of another DV Video file. This feature is useful for
adding certain effects to DV video's, like fading-in some text
while the video keeps running on the background.


%prep
rm -rf %{buildroot}
%setup -q -n DVSlideshowWizard-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/DVSlideshow.kmdr
exit 0
EOF

mkdir -p %{buildroot}/%{_datadir}/apps/%{name}
%__cp CreateSlideshow.sh %{buildroot}/%{_datadir}/apps/%{name}/
%__cp DVSlideshow.kmdr  %{buildroot}/%{_datadir}/apps/%{name}/

#icons
%define  nameicon DVSlideshow.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Old Menu 2006
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

# New Menu 2007
mkdir -p %buildroot%{_datadir}/applications/kde
cat > %buildroot%{_datadir}/applications/kde/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog
%attr(755,root,root)%{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_menudir}/%{name}
%attr(755,root,root) %{_datadir}/apps/%{name}/*

%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png

%changelog 

*Sun Nov 19 2006 Marco Meijer <marco@mandrivaclub.nl> 0.9-1.2007mcnl
first mandrivaclub.nl version



